Visual Studio Code <1.71.1 权限提升漏洞

OSCS开源供应链安全
 OSCS开源供应链安全
发布于 2022年09月15日
收藏 3

漏洞描述

Visual Studio Code是一款代码编辑器。

Visual Studio Code v1.71.0 及更早版本中存在权限提升漏洞,漏洞源于Visual Studio Code加载配置文件时会自动加载windows共享用户在特殊目录创建的文件bash.exe。

在 Windows 上,低特权攻击者可以在特殊路径创建并覆盖bash.exe。Visual Studio Code检测到的配置文件会显示在终端配置文件列表中,可能导致恶意文件执行。

漏洞名称 Visual Studio Code <1.71.1 权限提升漏洞
漏洞类型 特权管理不恰当
发现时间 2022/9/14
漏洞影响广度 广
MPS编号 MPS-2022-53948
CVE编号 CVE-2022-38020
CNVD编号 -

影响范围

Visual Studio Code@[0, 1.71.1)

修复方案

升级Visual Studio Code到 1.71.1 或更高版本

参考链接

https://www.oscs1024.com/hd/MPS-2022-53948

https://nvd.nist.gov/vuln/detail/CVE-2022-38020

https://github.com/microsoft/vscode/issues/160827

    

情报订阅

OSCS(开源软件供应链安全社区)通过最快、最全的方式,发布开源项目最新的安全风险动态,包括开源组件安全漏洞、事件等信息。同时提供漏洞、投毒情报的免费订阅服务,社区用户可通过配置飞书、钉钉、企业微信机器人,及时获得一手情报信息推送:

https://www.oscs1024.com/?src=osc

具体订阅方式详见:

https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Visual Studio Code <1.71.1 权限提升漏洞
加载中
返回顶部
顶部